%{?nodejs_find_provides_and_requires}

%global packagename thenify
%global enable_tests 1

Name:		nodejs-thenify
Version:	3.2.1
Release:	3%{?dist}
Summary:	Promisify a callback-based function

License:	MIT
URL:		https://github.com/thenables/thenify.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Patch tests for changes in Node 6.x
Patch0:         nodejs-thenify-tests.patch


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(any-promise)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Promisify a callback-based function


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%patch0 -p1


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Tom Hughes <tom@compton.nu> - 3.2.1-2
- Update to 3.2.1 upstream release
- Patch tests for changes in Node 6.x

* Mon Feb 15 2016 Jared Smith <jsmith@fedoraproject.org> - 3.2.0-2
- Add missing BuildRequires for npm(any-promise)

* Mon Feb 15 2016 Jared Smith <jsmith@fedoraproject.org> - 3.2.0-1
- Initial packaging
